<?php
if (!defined('ABSPATH')) exit;
/*
Plugin Name: DigitalGoal-Free-Shipping
Plugin URI: https://www.digitalgoal.de/wordpressplugins
Description: This plugin provides helpful feature for free shipping
Version: 1.0.0
Requires at least: 5.0.0
Requires PHP: 5.4
Author: digitalgoal.de
Author URI: https://www.digitalgoal.de
Text Domain: digitalgoal-free-shipping
Domain Path: /lang
*/
# Define constants

function kb_hide_shipping_when_free_is_available($rates)
{
    $free = [];
    foreach ($rates as $rate_id => $rate) {
        if ('free_shipping' === $rate->method_id) {
            $free[$rate_id] = $rate;
            break;
        }
    }
    return !empty($free) ? $free : $rates;
}

add_filter('woocommerce_package_rates', 'kb_hide_shipping_when_free_is_available', 100);